png++: png::detail::wrong_color_space< pixel > Struct Template Reference

png++ 0.2.10

Public Member Functions | Static Public Member Functions | List of all members
png::detail::wrong_color_space< pixel > Struct Template Reference

`#include <require_color_space.hpp>`

## Public Member Functions
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()
char const * | error_msg ()

## Static Public Member Functions
static char const * | error_msg ()

## Member Function Documentation

## ◆ error_msg() [1/16]

template<typename pixel >

static char const* png::detail::wrong_color_space< pixel >::error_msg | ( |  | ) |
| inlinestatic

## ◆ error_msg() [2/16]

char const * png::detail::wrong_color_space< rgb_pixel >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [3/16]

char const * png::detail::wrong_color_space< rgb_pixel_16 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [4/16]

char const * png::detail::wrong_color_space< rgba_pixel >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [5/16]

char const * png::detail::wrong_color_space< rgba_pixel_16 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [6/16]

char const * png::detail::wrong_color_space< gray_pixel >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [7/16]

char const * png::detail::wrong_color_space< gray_pixel_1 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [8/16]

char const * png::detail::wrong_color_space< gray_pixel_2 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [9/16]

char const * png::detail::wrong_color_space< gray_pixel_4 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [10/16]

char const * png::detail::wrong_color_space< gray_pixel_16 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [11/16]

char const * png::detail::wrong_color_space< ga_pixel >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [12/16]

char const * png::detail::wrong_color_space< ga_pixel_16 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [13/16]

char const * png::detail::wrong_color_space< index_pixel >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [14/16]

char const * png::detail::wrong_color_space< index_pixel_1 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [15/16]

char const * png::detail::wrong_color_space< index_pixel_2 >::error_msg | ( |  | ) |
| inline

## ◆ error_msg() [16/16]

char const * png::detail::wrong_color_space< index_pixel_4 >::error_msg | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- require_color_space.hpp